Subject: Re: New issue?: The scope of source address for DCS?

From: Greg Daley <[email-masked]>
Date: Fri, 31 Oct 2003 13:26:44 +1100

Hi Jari,

Jari Arkko wrote:
> Pekka Nikander wrote:
> 
>> Folks,
>>
>> With regard to the DCS source address, the current spec says
>> the following:
>>
>>          An IP address assigned to the sending interface, or the
>>          unspecified address if no address is assigned to the sending
>>          interface.
>>
>> Should we be more specific, and say that the source address SHOULD
>> be the link local address?  Right now I don't see any specific
>> reason, other than the old saying of being conservative when
>> sending and liberal when receiving.
> 
> 
> In issue 21 we agreed that DCA source should be link-local.
> It seems logical to require the same from DCS?

This is a holdover from RFC-2461 where the RS has as source any
address on the host's interface, and the RA is only
link-local.

The original motivation may indeed be as Pekka mentioned.

I'm not fussed now about where we the group
goes with this, but I guess that the same issues which
affect RS/RA will affect DCS/DCA.

I'm currently concerned with RS/DCS messages coming from an
address which is not on an adjacent link.  I don't know
how this is handled in the case where RS's are sent from
a global address today (rfc-2461 doesn't seem to specify
this).

Should we even listen to such DCS's?

I'm pretty certain that we don't want to create
erroneous NC state on the router in this case, so
unicast responses are out.

Greg

--------------------------------------------------------------------
To unsubscribe from this list, send email with "UNSUBSCRIBE" in the
body to <[email-masked]>.
Archive: http://standards.ericsson.net/lists/ietf-send/maillist.html
--------------------------------------------------------------------